﻿<!-- templates/search_result.html -->
{% extends 'base.html' %}

{% block title %} 搜索结果 {% endblock %}

{% block head %}
{{ super() }}
<link rel="stylesheet" href="{{ url_for('static',filename='assets/css/store_css.css') }}">
{% endblock %}

{% block page_header %}
{{ super() }}
{% endblock %}

{% block content %}
<div class="page-wrap">
	<div class="page-content">
		<main class="main-content">
			<section class="section-featured-products">
				<div class="container">
					<div class="section-title text-center">
						{% if prod_list %}
						<h2 class="h3 section-title__heading">搜索结果如下</h2>
						{% else %}
						<h2 class="h3 section-title__heading">未搜索到相关商品</h2>
						{% endif %}
					</div>
					<ul class="products featured-products columns-4">
						{%for prod in prod_list%}
						{% if prod.identity_ok %}
						<li class="product">
							<div class="product-thumb">
								<a href="{{url_for('Check_store.show_prod',key_word=0,prod_id=prod.id)}}"
									class="product-thumb__link">
									<div class="procDisplay">
										<img src="{{ url_for('static',filename=prod.img) }}" alt="">
									</div>
									<span class="btn btn-outline-light shop-link">Detail</span>
								</a>
							</div>
							<div class="product-title"><a
									href="{{url_for('Check_store.show_prod',key_word=0,prod_id=prod.id)}}">商品名称：{{prod.name}}</a>
							</div>
							<div class="price">
								<span class="amount">价格：{{prod.price}}</span>
							</div>
						</li>
						{% endif %}
						{% endfor %}
					</ul>
			</section>
			<center><a href="{{ url_for('Home.home') }}" class="btn btn-primary mr-1 mb-3">返回主页</a></center>
		</main> <!-- end of main -->
	</div>
</div>
{% endblock %}

{% block page_footer %}
{{ super() }}
{% endblock %}

{% block search_wrap %}
{{ super() }}
{% endblock %}